org.jboss.jca.core.bv

## Class SerializableValidator

- java.lang.Object
- - org.jboss.jca.core.bv.SerializableValidator

- All Implemented Interfaces:
    java.io.Serializable, javax.validation.Validator

      public class SerializableValidator
      extends java.lang.Object
      implements javax.validation.Validator, java.io.Serializable

  Serializable validator
  Version:
    $Revision: $
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerializableValidator()` Constructor
    `SerializableValidator(javax.validation.Validator v)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.validation.executable.ExecutableValidator` | `forExecutables()`
    `javax.validation.metadata.BeanDescriptor` | `getConstraintsForClass(java.lang.Class<?> clazz)`
    `<T> T` | `unwrap(java.lang.Class<T> type)`
    `<T> java.util.Set<javax.validation.ConstraintViolation<T>>` | `validate(T object, java.lang.Class<?>... groups)`
    `<T> java.util.Set<javax.validation.ConstraintViolation<T>>` | `validateProperty(T object, java.lang.String propertyName, java.lang.Class<?>... groups)`
    `<T> java.util.Set<javax.validation.ConstraintViolation<T>>` | `validateValue(java.lang.Class<T> beanType, java.lang.String propertyName, java.lang.Object value, java.lang.Class<?>... groups)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SerializableValidator

          public SerializableValidator()

      Constructor

    - #### SerializableValidator

          public SerializableValidator(javax.validation.Validator v)

      Constructor
      Parameters:
        `v` - The validator

  - ### Method Detail

    - #### getConstraintsForClass

          public javax.validation.metadata.BeanDescriptor getConstraintsForClass(java.lang.Class<?> clazz)

      Specified by:
        `getConstraintsForClass` in interface `javax.validation.Validator`

    - #### validate

          public <T> java.util.Set<javax.validation.ConstraintViolation<T>> validate(T object,
                                                                                     java.lang.Class<?>... groups)

      Specified by:
        `validate` in interface `javax.validation.Validator`

    - #### validateProperty

          public <T> java.util.Set<javax.validation.ConstraintViolation<T>> validateProperty(T object,
                                                                                             java.lang.String propertyName,
                                                                                             java.lang.Class<?>... groups)

      Specified by:
        `validateProperty` in interface `javax.validation.Validator`

    - #### validateValue

          public <T> java.util.Set<javax.validation.ConstraintViolation<T>> validateValue(java.lang.Class<T> beanType,
                                                                                          java.lang.String propertyName,
                                                                                          java.lang.Object value,
                                                                                          java.lang.Class<?>... groups)

      Specified by:
        `validateValue` in interface `javax.validation.Validator`

    - #### unwrap

          public <T> T unwrap(java.lang.Class<T> type)

      Specified by:
        `unwrap` in interface `javax.validation.Validator`

    - #### forExecutables

          public javax.validation.executable.ExecutableValidator forExecutables()

      Specified by:
        `forExecutables` in interface `javax.validation.Validator`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)